Subject: Re: bug#6579: 23.2; (require 'dbus) without dbus being available makes Emacs unresponsive, maxing out CPU and eating memory

From: Michael Albinus <[email-masked]>
Date: Fri, 09 Jul 2010 14:27:20 +0200

David Engster <[email-masked]> writes:

>> I've fixed it in the trunk.
>
> Works for me. Thank you!

Thanks for the test, I'll close the bug.

> Maybe it would make sense to issue a warning when dbus is not available?

Not when the session bus is unavailable; this is a common use
case. Maybe a chaeck for the unavailability of the system bus. OTHOH, I
don't know whether there are collateral damages then.

You can check the availability yourself:

(dbus-ignore-errors (dbus-get-unique-name :system))
(dbus-ignore-errors (dbus-get-unique-name :session))

Both forms return nil, when the respective bus is not available.

> -David

Best regards, Michael.